Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.corelib.internal
Class InternalMessages

    java.lang.Object
      org.apache.tapestry5.corelib.internal.InternalMessages

    public final class InternalMessages

extends java.lang.Object

Constructor Summary
`InternalMessages()`

Method Summary
`static java.lang.String` | `componentActionNotSerializable(java.lang.String componentId, java.lang.Throwable cause)`
`static java.lang.String` | `conflictingEncodingType(java.lang.String existing, java.lang.String conflicting)`
`static java.lang.String` | `encloseErrorsInForm()`
`static java.lang.String` | `failureInstantiatingObject(java.lang.Class objectType, java.lang.String componentId, java.lang.Throwable cause)`
`static java.lang.String` | `toClientShouldReturnString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalMessages

    public InternalMessages()

Method Detail

### componentActionNotSerializable

    public static java.lang.String componentActionNotSerializable(java.lang.String componentId,
                                                                  java.lang.Throwable cause)

### encloseErrorsInForm

    public static java.lang.String encloseErrorsInForm()

### failureInstantiatingObject

    public static java.lang.String failureInstantiatingObject(java.lang.Class objectType,
                                                              java.lang.String componentId,
                                                              java.lang.Throwable cause)

### conflictingEncodingType

    public static java.lang.String conflictingEncodingType(java.lang.String existing,
                                                           java.lang.String conflicting)

### toClientShouldReturnString

    public static java.lang.String toClientShouldReturnString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.